Name:		knowthelist
Version:	2.2.3
Release:	%mkrel 0.1
Summary:	An awesome party music player
License:	LGPLv3+
Group:		Sound/Players
URL:		http://knowthelist.github.io/knowthelist/
Source0:	https://github.com/knowthelist/%{name}/archive/v%{version}.tar.gz
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(taglib)

Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-bad
Requires:	qt4-database-plugin-sqlite

%description
Knowthelist is an awesome party music player.

Features:

  - Easy to use for all party guests.
  - Quick search for tracks in collection.
  - Two players with separate playlists.
  - Mixer with fader, 3 channel EQ and gain.
  - Auto fader and auto gain.
  - Trackanalyser search for song start/end and gain setting.
  - Auto DJ function with multiple filters for random play.
  - Monitor player for pre listen tracks (via 2nd sound card e.g. USB).

%prep
%setup -q
%apply_patches

%build
%qmake_qt4 %{name}.pro
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

# added translations files
mkdir -p %{buildroot}%{_datadir}/%{name}/locale
install -m 0644 locale/%{name}*.qm %{buildroot}%{_datadir}/%{name}/locale/

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Aug 27 2014 daviddavid (MLO Team) <daviddavid> 2.2.3-0.1.mga4
+ upstream fixes crash (Segmentation fault)
- sync with current Cauldron (mga5)

  + daviddavid <daviddavid>
   + Revision: 668334
   - remove dependency on Boost (remove by upstream)
   - new version: 2.2.3
   
  + daviddavid <daviddavid>
   + Revision: 667207
   - remove previous patch as it is now upstream fixed
   - new version: 2.2.2

* Sun Aug 10 2014 daviddavid (MLO Team) <daviddavid> 2.2.0-0.1.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- sync with current Cauldron (mga5)

  + daviddavid <daviddavid>
    + Revision: 661544
    - add a patch to fix the French translation
    
  + daviddavid <daviddavid>
    + Revision: 660815
    - remove the previous fix of desktop file as it is now fixed upstream
    - new version: 2.2.0
    
  + daviddavid <daviddavid>
    + Revision: 658787
    - imported package knowthelist
